body {
    margin: 0;
    padding: 0;    
    font-family: Lato, Arial, Helvetica, sans-serif;
}

.container-fluid {
    display: flex;
    height: 100vh;
    margin: 0; 
    padding: 0; 
    border: none;
}


.background {    
    background-size: cover;
    background-position: center;
    flex-basis: 70%;
    flex-shrink: 0;
}

.login-modal {
    background-color: rgba(255, 255, 255, 0.8);
    padding: 20px;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    width: 30%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.login-modal input[type="text"],
.login-modal input[type="password"] {
    width: 100%;
    padding: 10px;
    margin-bottom: 10px;
}

.login-modal button {
    width: 100%;
    padding: 10px;
    background-color: #4CAF50;
    border: none;
    color: white;
    font-weight: bold;
    cursor: pointer;
}
.btn-principal{
    background-color: var(--primary-color);
    border: 1px solid var(--contrast-color);
    color: white;
    padding: 10px 90px;
    border-radius: 5px;
    font-weight: bold;
}
 /* Estilos para tablet */
 @media (max-width: 990px) {
    body {
        margin: 0;
        padding: 0;    
        font-family: Lato, Arial, Helvetica, sans-serif;
    }
    
    .container-fluid {
        display: flex;
        height: 100vh;
    }
    
    
    .background {
        background-image: url('/static/home/img/imagem_login.jpg'); 
        background-size: cover;
        background-position: center;
        flex-basis: 70%;
    }
    
    .login-modal {
        background-color: rgba(255, 255, 255, 0.8);
        padding: 20px;
        border-radius: 5px;
        box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
        width: 30%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    
    .login-modal input[type="text"],
    .login-modal input[type="password"] {
        width: 100%;
        padding: 10px;
        margin-bottom: 10px;
    }
    
    .login-modal button {
        width: 100%;
        padding: 10px;
        background-color: #4CAF50;
        border: none;
        color: white;
        font-weight: bold;
        cursor: pointer;
    }
    .btn-principal{
        background-color: var(--primary-color);
        border: 1px solid var(--contrast-color);
        color: white;
        padding: 10px 90px;
        border-radius: 5px;
        font-weight: bold;
    }
      
 }

  /* Estilos para tablet */
@media (max-width: 991px) {
    .background {       
        background-size: cover;
        background-position: center;
        flex-basis: 100%;
    }

    .login-modal {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        background-color: rgba(255, 255, 255, 0.5);
        padding: 20px;
        border-radius: 5px;
        box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
        width: 80%; /* Ajuste o valor do width conforme necessário */
        max-width: 400px; /* Defina uma largura máxima para o modal */
        height: auto; /* Defina a altura como automática para o conteúdo */
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
}
  
 /* Estilos para Desktop */
 @media (min-width: 992px) and (max-width: 1280px) {
    .background {        
        background-size: cover;
        background-position: center;
        flex-basis: 65%;
    }
    
    .login-modal {
        background-color: rgba(255, 255, 255, 0.8);
        /*padding: 20px;
        border-radius: 5px; */
        box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
        width: 35%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    h1 {
        font-size: 20px; /* Tamanho desejado em pixels */
    }
    
    h3 {
        font-size: 16px; /* Tamanho desejado em pixels */
    }

    label {
        font-size: 14px; /* Tamanho menor da fonte */     
    }
    
    /* Estilizar os campos de entrada (inputs) */
    input[type="text"],
    input[type="password"] {
        width: 100%; /* Largura total do campo de entrada */
        padding: 5px; /* Espaçamento interno menor */
        font-size: 12px; /* Tamanho menor da fonte */        
    }   
    
    input[type="submit"] {
        font-size: 14px; /* Tamanho menor da fonte */       
    }  
    .logo {
        width: 180px; /* Largura desejada em pixels */
        height: auto; /* Mantém a proporção da imagem */
    }

    
  }
